## x2goclient-4.0.1.3.tar.gz

=== Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
CLIENT_DIR=$(SRC_DIR)/client_build
CLIENT_BINARY=$(CLIENT_DIR)/x2goclient

PLUGIN_DIR=$(SRC_DIR)/plugin_build
PLUGIN_BINARY=$(PLUGIN_DIR)/libx2goplugin.so

SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_SYMLINK=ln -s -f
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR=
PREFIX=/usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SHAREDIR=$(PREFIX)/share
MANDIR=$(SHAREDIR)/man
MOZPLUGDIR=$(PREFIX)/lib/mozilla/plugins
QMAKE_BINARY=qmake-qt4
LRELEASE_BINARY=lrelease-qt4

all: build

build: build_man build_pluginprovider
	$(MAKE) build_client
	$(MAKE) build_plugin

build_client:
	$(LRELEASE_BINARY) x2goclient.pro
	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
	cd $(CLIENT_DIR) && $(MAKE)

build_plugin:
	$(LRELEASE_BINARY) x2goclient.pro
	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
	cd $(PLUGIN_DIR) && $(MAKE)

build_pluginprovider:

build_man:
	${MAKE} -f Makefile.man2html build

clean: clean_client clean_plugin clean_man clean_pluginprovider
	find . -maxdepth 2 -name '*.o' -exec rm -vf {} + -type f
	find . -maxdepth 2 -name 'moc_*.cpp' -exec rm -vf {} + -type f
	find . -maxdepth 2 -name 'ui_*.h' -exec rm -vf {} + -type f
	find . -maxdepth 2 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
	rm -f x2goclient
	rm -f x2goclient.tag

clean_client:
	rm -fr $(CLIENT_DIR)

clean_plugin:
	rm -fr $(PLUGIN_DIR)

clean_pluginprovider:

clean_man:
	make -f Makefile.man2html clean

install: install_client install_plugin install_man install_pluginprovider

install_client:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/applications
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2goclient/icons
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/128x128/apps
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/32x32/apps
	$(INSTALL_PROGRAM) $(CLIENT_DIR)/x2goclient $(DESTDIR)$(BINDIR)/x2goclient
	$(INSTALL_FILE) desktop/x2goclient.desktop    $(DESTDIR)$(SHAREDIR)/applications/x2goclient.desktop
	$(INSTALL_FILE) icons/x2goclient.xpm          $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2goclient.xpm
	$(INSTALL_FILE) icons/128x128/x2goclient.png  $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2goclient.png
	$(INSTALL_FILE) icons/128x128/x2gosession.png $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2gosession.png
	$(INSTALL_FILE) icons/128x128/x2goclient.png  $(DESTDIR)$(SHAREDIR)/icons/hicolor/128x128/apps/x2goclient.png
	$(INSTALL_FILE) icons/16x16/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps/x2goclient.png
	$(INSTALL_FILE) icons/64x64/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/x2goclient.png
	$(INSTALL_FILE) icons/32x32/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/32x32/apps/x2goclient.png

install_plugin:
	$(INSTALL_DIR) $(DESTDIR)$(MOZPLUGDIR)/
	$(INSTALL_PROGRAM) $(PLUGIN_DIR)/libx2goplugin.so $(DESTDIR)$(MOZPLUGDIR)/libx2goplugin.so

install_pluginprovider:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/plugin-provider
	$(INSTALL_FILE) provider/etc/x2goplugin-apache.conf $(DESTDIR)$(ETCDIR)/x2goplugin-apache.conf
	$(INSTALL_FILE) provider/share/x2goplugin.html $(DESTDIR)$(ETCDIR)/plugin-provider/x2goplugin.html
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2go/plugin/
	$(INSTALL_SYMLINK) ../../../../$(ETCDIR)/plugin-provider/x2goplugin.html $(DESTDIR)$(SHAREDIR)/x2go/plugin/x2goplugin.html

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) man/man1/x2goclient.1    $(DESTDIR)$(MANDIR)/man1/x2goclient.1
	gzip -f $(DESTDIR)$(MANDIR)/man1/x2goclient.1

uninstall: uninstall_client uninstall_plugin uninstall_man

uninstall_client:
	$(RM_FILE) $(BINDIR)/x2goclient
	$(RM_FILE) $(SHAREDIR)/applications/x2goclient.desktop
	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2goclient.xpm
	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2gosession.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/128x128/apps/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/16x16/apps/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/64x64/apps/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/32x32/apps/x2goclient.png
	$(RM_DIR) $(SHAREDIR)/applications
	$(RM_DIR) $(SHAREDIR)/x2goclient/icons
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/128x128/apps
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/16x16/apps
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/64x64/apps
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/32x32/apps

uninstall_plugin:
	$(RM_FILE) $(MOZPLUGDIR)/libx2goplugin.so
	$(RM_DIR) $(MOZPLUGDIR)/

uninstall_pluginprovider:
	$(RM_FILE) $(ETCDIR)/x2goplugin-apache.conf
	$(RM_FILE) $(ETCDIR)/plugin-provider/x2goplugin.html
	$(RM_DIR) $(ETCDIR)/plugin-provider
	$(RM_DIR) $(ETCDIR)
	$(RM_FILE) $(SHAREDIR)/x2go/plugin/x2goplugin.html
	$(RM_DIR) $(SHAREDIR)/x2go/plugin/
	$(RM_DIR) $(SHAREDIR)/x2go/

uninstall_man:
	$(RM_FILE) $(MANDIR)/man1/x2goclient.1.gz
	$(RM_DIR) $(MANDIR)/man1

=== debian/changelog ===
x2goclient (4.0.1.3-0x2go1) unstable; urgency=low

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.1.3):
    - changed keyboard settings. Supported modes: auto, none and config with
      model/layout(variant)
    - Enables forwarding (delegation) of GSSAPI credentials to the server. 
    - Make GSSAPI delegation configurable.
    - Update Russian translation file.

  [ Orion Poplawski ]
  * New upstream version (4.0.1.3):
    - Protect x2goplugin.html. Make it only available from the local host.

  [ Mike Gabriel ]
  * New upstream version (4.0.1.3):
    - Fix scan for pulseaudio cookie file. Issue got introduced in X2Go Client
      4.0.1.2 and let pulseaudio sound setup fail completely in the Linux
      X2Go Client of that version. (Fixes: #384).
    - Minor update of the German translation file.

  [ Klaus Ade Johnstad ]
  * New upstream version (4.0.1.3):
    - Update Bokmal translation file.

  [ Ricardo Díaz Martín ]
  * New upstream version (4.0.1.3):
    - Update Spanish translation file.

  [ Daniel Lindgren ]
  * New upstream version (4.0.1.3):
    - Update Swedish translation file.

  [ Stefan Baur ]
  * New upstream version (4.0.1.3):
    - Update German translation file.

  [ Martti Pitkanen ]
  * New upstream version (4.0.1.3):
    - New translation of X2Go Client to Finnish.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 22 Jan 2014 08:56:30 +0100

x2goclient (4.0.1.2-0x2go2) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (4.0.1.2):
    - Provide Keywords: key in .desktop file.
    - Add NSIS packaging files for win32 builds to source tree.
      (Files provided by Oleksandr Shneyder, thanks!!!).
    - Rename win32 desktop and startmenu icon from "X2goClient" to "X2Go
      Client".
    - Store broker HTTPS certificate exceptions in
      $HOME/.x2go/ssl/exceptions (before: $HOME/ssl/exceptions).
      (Fixes: #328).
    - Perform sanity checks on data that comes in from X2Go Servers.
      Prohibit the execution of arbitrary code via the ~/.bashrc file.
      (Fixes: #333).
    - Add option --broker-cacertfile. Allow usage of non-system-wide
      installed (self-signed) SSL certificate chains for https (SSL)
      session broker connections. (Fixes: #311).
    - Update man page for new --tray-icon cmdline option.
    - Update man page for --broker-url. Explain the syntax of <URL>.
    - Properly handle (=expand) the "~" character in key filenames. (Brought to
      attention by Eldamir on IRC. Thanks!).
    - Expand tilde operator for all other file paths handed over to X2Go Client
      via sessions file or cmdline parameter.
    - Syntax fix of x2goclient.desktop file.
    - Test for various file locations of the pulseaudio cookie file.
    - Allow patching of qmake-qt4 executable path in Makefile.
    - Make qmake-qt4 and lrelease path in Makefile easily replacable (as
      RHEL-5 does not have those tools in $PATH).
    - Make sure that build_client and build_plugin are not build with parallel
      make.
    - Make x2goplugin-provider installable via Makefile.
  * Pull-in packaging changes from Debian.
  * debian/source/format:
    + Switch to format 1.0.
  * x2goclient.spec:
    + Ship x2goclient.spec (RPM package definitions) in upstream project.
      (Thanks to the Fedora package maintainers).
    + Clear (Fedora package) changelog.
    + Make package build on Fedora/EPEL versions that do not have the
      qtbrowserplugin package.
    + For EPEL-5 builds: replace full path to qmake-qt4 and lrelease.
    + Split up package into bin:packages: x2goclient, x2goplugin,
      x2goplugin-provider.
    + Make sure lrelease-qt4 is executed (not just lrelease).

  [ Ricardo Díaz Martín ]
  * New upstream versino (4.0.1.2):
    - Strip whitespaces off of user name, host name and other
      strings when loading / saving session profiles.(Fixes: #315).
    - New option --tray-icon. Force showing the tray icon, even for
      hidden sessions. Also allow creation of .desktop files with
      --tray-icon optionally being enabled. (Fixes: #316).
    - Update Spanish translation.

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.1.2):
    - Support for keys "shadowuser" "shadowdisplay" and "shadowmode" in
      config file. This allows choosing the default display for shadow
      sessions.
    - Support for GSSApi(Kerberos 5) authentication. Using ssh/scp commands
      on Linux and Mac and plink/pscp on Windows.
    - Support for ChallengeResponseAuthentication (Google Authenticator)
    - Setting main window focus on mac (Fixes: #139).   
    - Additional check if authentication with GSSApi successfull 
    - c121b7e2d3d83abdc2d7a29637bc3294e38b2ec3 broke checking if remote
      command produce only stderr and not stdout. It made x2goclient crash
      if x2gostartagent send LIMIT error. Current commit fixes this issue. 
    - SshMasterConnection should use current user name if no user name is
      specified in session settings
    - GSSApi(Kerberos 5) authentication for sshproxy and sshbroker 
    - fixed GSSApi(Kerberos 5) authentication for sshproxy and sshbroker
      on windows

  [ Heinrich Schuchardt ]
  * New upstream version (4.0.1.2):
    - Handle SSH host key changes more elegantly and allow user interaction
      if such a host key change occurs. (Fixes: #241).

  [ Michael DePaulo ]
  * New upstream version (4.0.1.2):
    - win32: Add uninstall information to Add/Remove Programs. (Fixes: #230).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 17 Dec 2013 15:21:38 +0100

x2goclient (4.0.1.1-0~x2go1) unstable; urgency=low

  [ Nicolai Hansen ]
  * New upstream version (4.0.1.1):
    - Update Danish translation file.

  [ Terje Andersen ]
  * New upstream version (4.0.1.1):
    - Update Norwegian Bokmaal translation file.

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.1.1):
    - Use "127.0.0.1" instead of localhost to avoid wrong IPv6 hostname
      resolution. (Fixes: #151).


=== debian/control ===
Source: x2goclient
Section: x11
Priority: extra
Maintainer: X2Go Developers <x2go-dev@lists.berlios.de>
Uploaders:
 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>,
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
Build-Depends:
 debhelper (>= 7.0.50~),
 libqt4-dev,
 libldap2-dev,
 libssh-dev (>= 0.4.7),
 libcups2-dev,
 libx11-dev,
 libxpm-dev,
 man2html-base | man2html,
Standards-Version: 3.9.4
Homepage: http://code.x2go.org/releases/source/x2goclient
Vcs-Git: git://code.x2go.org/x2goclient.git
Vcs-Browser: http://code.x2go.org/gitweb?p=x2goclient.git;a=summary

Package: x2goclient
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libssh-4 (>= 0.4.7),
 openssh-client,
 nxproxy,
Recommends:
 openssh-server,
 rdesktop | freerdp-x11,
Suggests:
 pinentry-x2go,
Conflicts:
 x2goclient-gtk,
Replaces:
 x2goclient-gtk,
Description: X2Go Client application (Qt4)
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.

Package: x2goclient-dbg
Section: debug
Architecture: any
Depends:
 ${misc:Depends},
 x2goclient (= ${binary:Version}),
Description: X2Go Client application (Qt4), debug symbols
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions
 .
 This package provides the debug symbols for the X2Go Client application.

Package: x2goplugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssh-client,
 libssh-4 (>= 0.4.7),
 nxproxy,
Recommends:
 openssh-server,
 rdesktop | freerdp-x11,
Suggests:
 pinentry-x2go,
Description: X2Go Client (Qt4) as browser plugin
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.
 .
 This package provides X2Go Client as QtBrowser-based Mozilla plugin.

Package: x2goplugin-provider
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 httpd | apache2,
Suggests:
 x2goplugin,
Description: Provide X2Go Plugin via Apache webserver
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package provides an example configuration for providing
 the X2Go Plugin via an Apache webserver.

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel --with apache2 || dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	# clean stray .qm files that are not handled by clean rule in upstream Makefile
	rm -Rf x2goclient_*.qm

override_dh_auto_install:
	mv plugin_build/libx2goplugin.so plugin_build/libx2goplugin.so.unstripped
	strip -s --remove-section=.comment --remove-section=.note \
	        plugin_build/libx2goplugin.so.unstripped -o plugin_build/libx2goplugin.so
	rm -f plugin_build/libx2goplugin.so.unstripped

override_dh_strip:
	dh_strip -p x2goclient --dbg-package=x2goclient-dbg

override_dh_apache2:
	dh_apache2 --noscripts
